version: "3.3"
services:
  openresty:
    image: openresty/openresty:alpine
    container_name: openresty
    ports:
      - 7001:7001
      - 9000:9000
    extra_hosts:
      - "onprem-controller:172.17.0.1"
    volumes:
      - ./obj-openresty/1.21.4.1/nginx_ext_auth_module.so:/usr/local/openresty/nginx/modules/nginx_ext_auth_module.so
      - ./obj-openresty/1.21.4.1/nginx_ext_access_log_module.so:/usr/local/openresty/nginx/modules/nginx_ext_access_log_module.so
      - ./openresty/nginx.conf:/usr/local/openresty/nginx/conf/nginx.conf
      - ./openresty/http.conf:/etc/nginx/conf.d/http.conf
